#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 2.x module

%define		module	dns
Summary:	dnspython - a DNS toolkit for Python 2
Summary(pl.UTF-8):	dnspython - zestaw narzędzi do DNS dla Pythona 2
Name:		python-%{module}
Version:	1.16.0
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz
# Source0-md5:	5691e0fbb280ed4eaf182ebedccf3462
URL:		http://www.dnspython.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -l pl.UTF-8
dnspython to zestaw narzędzi do DNS dla Pythona. Obsługuje prawie
wszystkie rodzaje rekordów. Może być używany do zapytań, transferów
stref oraz dynamicznych uaktualnień. Obsługuje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython dostarcza zarówno wysoko- jak i niskopoziomowy dostęp do
DNS-a. Klasy wysokopoziomowe wykonują zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracają zbiór odpowiedzi. Klasy
niskopoziomowe umożliwiają bezpośrednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%package -n python3-%{module}
Summary:	dnspython - a DNS toolkit for Python 3
Summary(pl.UTF-8):	dnspython - zestaw narzędzi do DNS dla Pythona 3
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -n python3-%{module} -l pl.UTF-8
dnspython to zestaw narzędzi do DNS dla Pythona. Obsługuje prawie
wszystkie rodzaje rekordów. Może być używany do zapytań, transferów
stref oraz dynamicznych uaktualnień. Obsługuje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython dostarcza zarówno wysoko- jak i niskopoziomowy dostęp do
DNS-a. Klasy wysokopoziomowe wykonują zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracają zbiór odpowiedzi. Klasy
niskopoziomowe umożliwiają bezpośrednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%prep
%setup -q -n dnspython-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py_sitescriptdir}/dns
%{py_sitescriptdir}/dnspython-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/dns
%{py3_sitescriptdir}/dnspython-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Wed Dec 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dns.git;a=log;h=master

* Wed Dec 12 2018 Adam Gołębiowski <adamg@pld-linux.org> 96d79de
- updated to 1.16.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9074f98
- python 3.7 rebuild
- release 2 (by relup.sh)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 6b56264
- updated to 1.15.0
- added python3- package (now built from the same source)

* Wed Mar 23 2016 Jakub Bogusz <qboosh@pld-linux.org> f7ad387
- updated to 1.12.0

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> c702776
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b446d01
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 870415e
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 15acbe1
- automatic change: use py_build/py_install macros

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> 3b8d40a
- added note about python3

* Fri Feb 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 37aa6f9
- up to 1.11.1

* Sat Jul 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 5decda3
- Version: 1.9.4

* Thu Dec 02 2010 Jakub Bogusz <qboosh@pld-linux.org> 6b87652
- updated to 1.9.2

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> efca589
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5466114
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4013fbd
- release 2

* Mon Jun 09 2008 Jakub Bogusz <qboosh@pld-linux.org> ecb9023
- python 2.5 for .egg-info
- BR: pythonprov

* Sun Jun 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ecbcff4
- up to 1.6.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 07fac7e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 70180d2
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 6160a39
- updated to 1.4.0

